@charset "utf-8";

/*----- NOTE -----*/
table {
  margin: 0;
}

th {
  text-align: right;
}

h2 span {
  font-size: 1rem;
}

#situation {
  background-color: transparent;
  color: #939393;
  font-size: .9rem;
  letter-spacing: .3em;
}

/* 検索窓 */
#searcharea {
  padding: .5em 1em;
  text-align: right;
}

.searchword {
  background-color: #f3f333;
  color: #333;
  font-weight: bold;
}

input.queryinput {
  border-bottom-right-radius: 0;
  border-right: 2px dashed #333;
  border-top-right-radius: 0;
}

input.submitbutton {
  border-bottom-left-radius: 0;
  border-left: 2px dashed #333;
  border-top-left-radius: 0;
}

/* 画像一覧 */
.tegalogImages {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.tegalogImages.onelog {
  display: block;
}

.tegalogImages > h3 {
  grid-column: span 3;
}

/* 一覧表示 */
.tegalogImages .forList {
  border: 1px solid #535353;
  margin: .5em;
}

.forList .embeddedimage {
  border: 0;
  border-radius: 0;
  box-sizing: border-box;
  max-height: fit-content;
  width: 100%;
}

.forList .embeddedpictbox {
  margin-top: 0;
}

:is(.forList, .forOnePict) .embeddedpictbox figcaption {
  background-color: #535353;
  border-radius: 0;
  font-size: .9rem;
  font-weight: bold;
  padding: 0 1em;
}

:is(.forList, .forOnePict) figure .imagelink.nsfw {
  border: 0;
  border-radius: 0;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

/* 単独表示 */
.forOnePict .embeddedimage {
  border-radius: 0;
  height: auto;
  max-height: 60vh;
  min-width: auto;
  width: auto;
}

.forOnePict .embeddedpictbox {
  margin-bottom: 0;
  text-align: center;
}

.forOnePict .embeddedpictbox .imagelink {
  margin: 1em auto;
  max-width: 80%;
}

.pictOwner a {
  color: #f3f3f3;
  text-decoration: none;
}

.pictOwner a:hover {
  text-decoration: underline;
}

.usericon img {
  border: 1px solid #535353;
  border-radius: 50%;
  vertical-align: middle;
}

ul.onePictSearch {
  display: flex;
  justify-content: right;
}

/* ページナビゲーション */
nav.pagenavi {
  align-items: center;
  color: #f3f3f3;
  display: flex;
  font-size: .9rem;
  justify-content: center;
  margin-bottom: 1em;
  margin-top: 1em;
}

nav.pagenavi a,
nav.pagenavi span {
  background-color: #535353;
  border-left: 1px solid #333;
  flex: 1;
  padding: .5em .3em;
  text-align: center;
  text-decoration: none;
}

nav.pagenavi a:first-child {
  border-left: 0;
}

nav.pagenavi a:hover {
  background-color: #232323;
}

nav.pagenavi .pagenumhere {
  background-color: #737373;
  color: #f3f3f3;
  font-weight: bold;
  text-decoration: none;
}

nav.pagenavi .pagehome {
  text-align: center;
}

/*----- RESPONSIVE -----*/
@media screen and (max-width: 599px) {
  .tegalogImages {
    display: block;
  }

  .tegalogImages .forList {
    width: auto;
  }
}
